Name: plasma-applet-fancytasks
Version: 1.0.92
Release: alt0.M51.1

Group: Graphical desktop/KDE
Summary: Plasmoid for fancy representing your tasks and launchers
License: GPLv2
Url: http://www.kde-look.org/content/show.php/Fancy+Tasks?content=99737

Source0: %name-%version.tar

Requires: kde4libs >= %{get_version kde4libs}

# Automatically added by buildreq on Mon Apr 26 2010 (-bi)
#BuildRequires: gcc-c++ glib2-devel glibc-devel-static kde4base-devel kde4base-workspace-devel libXScrnSaver-devel libXau-devel libXcomposite-devel libXdamage-devel libXdmcp-devel libXpm-devel libXt-devel libXtst-devel libXv-devel libXxf86misc-devel libXxf86vm-devel libqt3-devel libxkbfile-devel qt4-assistant qt4-designer rpm-build-ruby
BuildRequires(pre): kde4libs-devel
BuildRequires: gcc-c++ glib2-devel glibc-devel kde4base-devel kde4base-workspace-devel xorg-devel

%description
Plasmoid for fancy representing your tasks and launchers. Inspired by
Avant Window Navigator and other MacOS X like docks.

Features:
- manages your tasks and launchers;
- tasks filtering, grouping (including manual) and sorting;
- launcher to task transition (icons of launchers with running tasks
are hidden);
- preview of windows with (live previews with KWin Taskbar Thumbnail
effect enabled) and without Composite (also for groups, you can click
them to activate window);
- dropping files on launchers runs command with parameters or gives
option to move, copy or link them (if this is directory);
- visual drop indicator that helps in manual tasks sorting and
dropping launchers;
- possibility to browse directories of directory launchers using
context menu;
- menu with list of all icons shown after activating keyboard
shortcut;
- configurable animations (zoom, jump, bounce, highlight, etc.) and
appearance (optional thumbnails, reflections and text label);
- fully animated icons (including animations of starting applications
and tasks needing attention).


%prep
%setup -q


%build
%K4build


%install
%K4install
%K4find_lang --output=%name.lang --with-kde          plasma_applet_fancytasks
%K4find_lang --output=%name.lang --with-kde --append plasma_containment_fancypanel


%files -f %name.lang
%doc README TODO CHANGELOG
%_K4lib/plasma_applet_fancytasks.so
%_K4lib/plasma_containment_fancypanel.so
%_K4apps/desktoptheme/default/widgets/fancytasks.svgz
%_K4srv/plasma-applet-fancytasks.desktop
%_K4srv/plasma-containment-fancypanel.desktop


%changelog
* Mon Apr 26 2010 Sergey V Turchin <zerg@altlinux.org> 1.0.92-alt0.M51.1
- built for M51

* Mon Apr 26 2010 Sergey V Turchin <zerg@altlinux.org> 1.0.92-alt1
- initial specfile
